#
# spec file for package python-k5test
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%{?sle15_python_module_pythons}
Name:           python-k5test
VCS: https://src.suse.de/SLFO-pool/python-k5test#21a461ae328324207a9eda7593be7a94b93eda35d342d4b0741028b756ed1a8f
Version:        0.10.4
Release:        160000.1.6
Summary:        A library for testing Python applications in krb5 environments
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/pythongssapi/k5test
Source:         https://files.pythonhosted.org/packages/source/k/k5test/k5test-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       krb5-client
Requires:       krb5-server
BuildArch:      noarch
%python_subpackages

%description
k5test is a library for setting up self-contained Kerberos 5 environments,
and running Python unit tests inside those environments.  It is based on
the file of the same name found alongside the MIT Kerberos 5 unit tests.

%prep
%setup -q -n k5test-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

# no testsuite found

%files %{python_files}
%license *LICENSE*
%doc README.md
%{python_sitelib}/k5test*

%changelog
* Wed Apr  3 2024 dmueller@suse.com
- update to 0.10.4:
  * Use OIDC for PyPI release
  * Include both license files
  * Fix MIT start_kadmind
  * Set max_renewable_life to 1 week for the MIT KDC
  * Bump version for next release
* Fri Apr 21 2023 dmueller@suse.com
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 mcepl@suse.com
- Make calling of %%{sle15modernpython} optional.
* Tue Nov  8 2022 yarunachalam@suse.com
- Update to v0.10.3
  * Remove no longer valid reference by @stanislavlevin in #23
- Update to v0.10.2
  * Remove redundant wheel dep from pyproject.toml by @mgorny in #19
  * Use built-in shutil.which() instead of which(1) tool by @mgorny in #20
  * Update CI to use new action versions by @jborean93 in #21
* Sat Sep 17 2022 jayvdb@gmail.com
- Update to v0.10.1
- Add dependency krb5-server to be able to invoke /usr/sbin/kdb5_util
  and krb5-client to be able to invoke /usr/bin/kinit
* Fri Mar 15 2019 tchvatal@suse.com
- Initial commit, needed by gssapi
